/*
 * RuleListRenderer.java
 *
 */

package com.uvigo.tMaestro.SCOCreator.tool.adaptation;


import com.uvigo.tMaestro.SCOCreator.tool.MainFrame;
/**
 * Como utilizamos etiquetas para presentar las reglas en el JList
 * Debemos utilizar un Render adecuado a nuestras necesidades
 * @author vader
 */
public class RuleListRenderer extends javax.swing.DefaultListCellRenderer {
    
    public java.awt.Component getListCellRendererComponent(javax.swing.JList oList, Object oValue,int iIndex, boolean isSelected, boolean cellHasFocus) {
        java.awt.Component oComponent = super.getListCellRendererComponent(oList, oValue, iIndex, isSelected, cellHasFocus);
        if (MainFrame.oMainFrame.getRule(iIndex).isValid()) oComponent.setForeground(java.awt.Color.BLUE);
        else oComponent.setForeground(java.awt.Color.RED);
        return oComponent;
    }
}